Last modified: 2012-04-16 09:15:46 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27249 - "Installed software" table in Special:Version should always be left-to-right
"Installed software" table in Special:Version should always be left-to-right
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
unspecified
All All
: Normal trivial (vote)
: ---
Assigned To: Jan Paul Posma
http://he.wikipedia.org/wiki/Special:...
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-02-08 09:36 UTC by Amir E. Aharoni
Modified: 2012-04-16 09:15 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Fix (474 bytes, patch)
2011-04-25 14:43 UTC, Jan Paul Posma
Details

Description Amir E. Aharoni 2011-02-08 09:36:45 UTC
The "Installed software" table in Special:Version shows the versions of MediaWiki, PHP and MySQL. Now, and for the foreseeable future, the names of the programs and the version numbers are not written in an RTL language, but in an RTL wiki, such as he.wikipedia.org. They do, however, include, a mixture of numbers, words and punctuation, which gets mixed up if forced to be right-to-left. For example, the current MySQL version looks like "facebook-r3489-log-5.1.46" instead of "5.1.46-facebook-r3489-log". It's quite hard to use the mouse to select this version number, too.

This table should be always defined as left-to-right.
Comment 1 Mark A. Hershberger 2011-04-22 00:33:57 UTC
Marking this one for GSOC peeps and bugsmash
Comment 2 Max Semenik 2011-04-22 18:57:04 UTC
Note: database version can contain localised text now that it uses Database*::getServerInfo() instead of getServerVersion(). Currently, this affects SQLite installations.
Comment 3 Jan Paul Posma 2011-04-25 14:43:40 UTC
Created attachment 8460 [details]
Fix

Easy fix. ;) Apply to trunk/phase3.
Comment 4 Sam Reed (reedy) 2011-04-25 14:46:54 UTC
r86863
Comment 5 p858snake 2011-05-06 06:50:06 UTC
*Bulk BZ change: -bugsmash from closed bugs. (7 Bugs)*

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links